using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using nft.ui.form;

namespace nft.ui
{
    internal class WinControlWrapper : IxControl
    {
        protected readonly Control entity;

        public WinControlWrapper(Control c) {
            entity = c;
        }


        public string Name {
            get {
                return entity.Name;
            }
        }

        public bool Enabled {
            get {
                return entity.Enabled;
            }
            set {
                entity.Enabled = value;
            }
        }

        public bool Visible {
            get {
                return entity.Visible;
            }
            set {
                entity.Visible = value;
            }
        }
    }
}
